QGIS Application - Bug report #14963
Label Formatting - Wrap on character with "wordwrap"
2016-06-06 03:36 AM - Burghardt Scholle

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Labelling

Affected QGIS version:2.14.3 Regression?: No
Operating System: Ubuntu / Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 22912
Description

Hi all,

my System: Ubuntu 14.04 / Windows 7 64bit, QGIS 2.14.3 / QGIS Master

| want label a layer with long attribute values. The label should wrap after a number of characters. For this | use the function "wordwarp" in
the expression string builder (e.g. "wordwrap('name’, 15)"). In the output preview the wordwrap is displayed correctly (see attached
screenshot). But in the map the wordwrap will not be displayed. | add demo data.

Regards
Burghardt

History

#1 - 2016-06-07 05:01 AM - Burghardt Scholle
- File LabelWordwrapDemo.zip added

Hi,

sorry for the forgotten upload. Here are the demo files.
Regards

Burghardt

#2 - 2016-06-13 09:00 PM - Nyall Dawson
- Status changed from Open to Feedback

Works fine here:

1. load attached project

2. change label expression to wordwrap("name", 15)
3. labels show correctly as wrapped

Can you retest or post extra steps to reproduce please!

#3 - 2016-06-13 11:11 PM - Burghardt Scholle
- File wordwrap_2.zip added
I'm very confused .-(. It does not work for me furthermore. | also use the current master version with Windows 7 (code revision fiec121). | did my tests on

several computers (W7, Ubuntu 14.04). | must be doing something wrong. Are my settings correct (see attached screenshot)?

#4 - 2016-06-14 03:52 AM - Nyall Dawson
- Resolution set to invalid
- Status changed from Feedback to Closed

Ah - i see the issue. Don't enter the expression as a data defined wrap character, that's a totally different thing. Instead just enter it in the "label with" box.

#5 - 2016-06-14 04:08 AM - Burghardt Scholle

Oh my god - | am ashamed. You are right. | already thought that | have misunderstood something. Thank you very much for the valuable tip.

Regards

Burghardt

Files

LabelWordwrapDemo.zip 14.8 KB 2016-06-07 Burghardt Scholle
wordwrap_2.zip 65.6 KB 2016-06-13 Burghardt Scholle
